/*
CVE Services API

The CVE Services API supports automation tooling for the CVE Program. Credentials are     required for most service endpoints. Representatives of     <a href='https://www.cve.org/ProgramOrganization/CNAs'>CVE Numbering Authorities (CNAs)</a> should     use one of the methods below to obtain credentials:    <ul><li>If your organization already has an Organizational Administrator (OA) account for the CVE     Services, ask your admin for credentials</li>     <li>Contact your Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/Google'>Google</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/INCIBE'>INCIBE</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/jpcert'>JPCERT/CC</a>, or     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/redhat'>Red Hat</a>) or     Top-Level Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/icscert'>CISA ICS</a>     or <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/mitre'>MITRE</a>) to request credentials     </ul>     <p>CVE data is to be in the JSON 5.0 CVE Record format. Details of the JSON 5.0 schema are     located <a href='https://github.com/CVEProject/cve-schema/tree/master/schema/v5.0' target='_blank'>here</a>.</p>    <a href='https://cveform.mitre.org/' class='link' target='_blank'>Contact the CVE Services team</a>

API version: 2.1.4
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package cveapi

import (
	"encoding/json"
)

// checks if the ListUsersResponseUsersInnerAuthority type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &ListUsersResponseUsersInnerAuthority{}

// ListUsersResponseUsersInnerAuthority struct for ListUsersResponseUsersInnerAuthority
type ListUsersResponseUsersInnerAuthority struct {
	ActiveRoles []string `json:"active_roles,omitempty"`
}

// NewListUsersResponseUsersInnerAuthority instantiates a new ListUsersResponseUsersInnerAuthority object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewListUsersResponseUsersInnerAuthority() *ListUsersResponseUsersInnerAuthority {
	this := ListUsersResponseUsersInnerAuthority{}
	return &this
}

// NewListUsersResponseUsersInnerAuthorityWithDefaults instantiates a new ListUsersResponseUsersInnerAuthority object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewListUsersResponseUsersInnerAuthorityWithDefaults() *ListUsersResponseUsersInnerAuthority {
	this := ListUsersResponseUsersInnerAuthority{}
	return &this
}

// GetActiveRoles returns the ActiveRoles field value if set, zero value otherwise.
func (o *ListUsersResponseUsersInnerAuthority) GetActiveRoles() []string {
	if o == nil || IsNil(o.ActiveRoles) {
		var ret []string
		return ret
	}
	return o.ActiveRoles
}

// GetActiveRolesOk returns a tuple with the ActiveRoles field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *ListUsersResponseUsersInnerAuthority) GetActiveRolesOk() ([]string, bool) {
	if o == nil || IsNil(o.ActiveRoles) {
		return nil, false
	}
	return o.ActiveRoles, true
}

// HasActiveRoles returns a boolean if a field has been set.
func (o *ListUsersResponseUsersInnerAuthority) HasActiveRoles() bool {
	if o != nil && !IsNil(o.ActiveRoles) {
		return true
	}

	return false
}

// SetActiveRoles gets a reference to the given []string and assigns it to the ActiveRoles field.
func (o *ListUsersResponseUsersInnerAuthority) SetActiveRoles(v []string) {
	o.ActiveRoles = v
}

func (o ListUsersResponseUsersInnerAuthority) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o ListUsersResponseUsersInnerAuthority) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.ActiveRoles) {
		toSerialize["active_roles"] = o.ActiveRoles
	}
	return toSerialize, nil
}

type NullableListUsersResponseUsersInnerAuthority struct {
	value *ListUsersResponseUsersInnerAuthority
	isSet bool
}

func (v NullableListUsersResponseUsersInnerAuthority) Get() *ListUsersResponseUsersInnerAuthority {
	return v.value
}

func (v *NullableListUsersResponseUsersInnerAuthority) Set(val *ListUsersResponseUsersInnerAuthority) {
	v.value = val
	v.isSet = true
}

func (v NullableListUsersResponseUsersInnerAuthority) IsSet() bool {
	return v.isSet
}

func (v *NullableListUsersResponseUsersInnerAuthority) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableListUsersResponseUsersInnerAuthority(val *ListUsersResponseUsersInnerAuthority) *NullableListUsersResponseUsersInnerAuthority {
	return &NullableListUsersResponseUsersInnerAuthority{value: val, isSet: true}
}

func (v NullableListUsersResponseUsersInnerAuthority) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableListUsersResponseUsersInnerAuthority) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


